<template>
  <div style="margin: 3rem">
    <header style="margin:8rem 6rem 4rem">
      <ReturnButton :offsetArrow="20" :spanTitle="3" title="Menú Principal" v-on:clickEvent="returnPage" style="margin-bottom:3rem"></ReturnButton>
    </header> 

    <!-- COMPONENTE TITULO -->
    <div style="margin:3rem 6rem">
      <app-title Title="REGISTRO DE DISCOS"> </app-title>
    </div>  

    <!-- container -->
    <div style="margin: 5rem 10rem">
      <el-row type="flex" justify="space-between">
        <el-col :span="4">
          <div style="text-align: center;" v-on:click="newOrder('ordersPlaced')" @mouseover="mouseover('carro')" @mouseout="mouseout()">
            <el-button v-bind:plain="btncarro == false" type="primary">PEDIDOS</el-button>
            <div style="margin-top:3rem">
              <img :src="carro" alt="Escenarios" width="150px">
            </div>
          </div>
        </el-col>
        <el-col :span="4">
          <div style="text-align: center;" v-on:click="newOrder('supportHistory')" @mouseover="mouseover('lista')" @mouseout="mouseout()">
            <el-button v-bind:plain="btnlista == false" type="primary">HISTORIAL DE PEDIDOS</el-button>
            <div style="margin-top:3rem">
              <img :src="lista" alt="Escenarios" width="110px">
            </div>
          </div>
        </el-col>
        <el-col :span="4">
          <div style="text-align: center;" v-on:click="newOrder('diskHistory')" @mouseover="mouseover('reloj')" @mouseout="mouseout()">
            <el-button v-bind:plain="btnreloj == false" type="primary">HISTORIAL DE DISCOS</el-button>
            <div style="margin-top:3rem">
              <img :src="reloj" alt="Escenarios" width="150px">
            </div>
          </div>
        </el-col>
      </el-row>
    </div>
  </div>
</template>
 
<script>
import ReturnButton from '@/components/ReturnButton.vue'
import carroAzul from '../../../assets/images/bus-pedido-azul.png'
import carroGris from '../../../assets/images/bus-pedido-gris.svg'
import relojAzul from '../../../assets/images/reloj-azul.svg'
import relojGris from '../../../assets/images/historial-registro-gris.svg'
import listaAzul from '../../../assets/images/lista-azul.svg'
import listaGris from '../../../assets/images/lista-gris.svg'
import Title from '@/components/Title.vue'

export default {
  components: {
   'app-title': Title,
    ReturnButton
  },
  data () {
    return {
      btncarro: false,
      carro: carroAzul,
      btnlista: false,
      lista: listaAzul,
      btnreloj: false,
      reloj: relojAzul,
      // RUTAS DE IMAGENES
      carroAzul: carroAzul,
      carroGris: carroGris,
      listaAzul: listaAzul,
      listaGris: listaGris,
      relojAzul: relojAzul,
      relojGris: relojGris,
      arrOfItems: ['carro', 'lista', 'reloj']
    }
  },
  methods: {
    mouseover (item) {
      for(let x=0; x<this.arrOfItems.length; x++){
        if(this.arrOfItems[x] !== item){
          this[this.arrOfItems[x]] = this[this.arrOfItems[x]+'Gris']
        } else {
          this[this.arrOfItems[x]] = this[this.arrOfItems[x]+'Azul']
        }
      }
    },
    mouseout () {
      for(let x=0; x<this.arrOfItems.length; x++){
        this[this.arrOfItems[x]] = this[this.arrOfItems[x]+'Azul']
      }
    },
    returnPage() {
      this.$router.push({ name: 'support' })
    },
    newOrder(item) {
      this.$router.push({ name: item })
    }
  }
}
</script>
